Can't get 1.07 to work in win 7

Kefir-Tribe

Diabloii.Net Member
Can't get 1.07 to work in win 7

Hi!

I fired 1.07 up to do some racking. But when I try to enter the character screen (to choose which character to play) I get the following error:

Code:
Assertion Failure
Location : C:\Projects\Diablo2\Source\D2Win\Src\D2Comp.cpp, line #3058
Expression : eType <= ptItemTypesTbl -> nSize
Another oddity is that the ladder chosen isn't Europe or US East etc. but "HYGELAC". I don't know if it always been like that. The game is located on the E: drive by the way, and there's no folder named Projects on C:. The game works under 1.09 and 1.1x. Has anyone had this problem or/and know how to solve it?
 

HappeningKT

Banned
Re: Can't get 1.07 to work in win 7

I had a problem initially,(didn't get any such error message though), the game wasn't starting in 1.07. I tried a single player install instead of full install, and now things are working fine for me.
 

Kefir-Tribe

Diabloii.Net Member
Re: Can't get 1.07 to work in win 7

That was quick! Thanks for the reply. I guess a reinstall would be a thing to try. I'm not too eager to do it though.
 

nex

Diabloii.Net Member
Re: Can't get 1.07 to work in win 7

Tried running it in win xp sp2 compatibility mode and with disabled desktop composition? That's known cause of trouble with D2 on Win7.
 

Islandstone

Diabloii.Net Member
Re: Can't get 1.07 to work in win 7

a quick search at the phrozen keep, says you only need to clean out your save folder, so I would try that first

Edit:
These are caused by errors in ItemTypes.txt. Sometimes when you are testing your mod work, all you need to do when running -direct -txt is delete all .bin files in data\global\excel and run the mod again. In the last case, if you have spaces or unrecognized type codes in the Equiv fields, you will generate nIndex = -1. (This may also happen in eType for the first two.)
Or try that
 

Kefir-Tribe

Diabloii.Net Member
Re: Can't get 1.07 to work in win 7

Thanks for your replies guys! Here's a bit of an update...

So I was already running it in compatibility and windowed mode without success. I cleaned out the save folder and was able to create a new character, but d2 crashed before the game was entered. Some other error message this time, which I don't remember, but whatever.

Anyway, I reinstalled the game and it all worked, I found a good rack after an hour and a half and two hours later the mission was accomplished. If anyone would like 17 eth Berserker Axes with 2, 3, 5 or 6 sockets in them, let me know. :nod:

When I patched back to 1.13 (I do it manually by copying dlls etc.) I realized that there's no patch_ d2.mpq in 1.07. :doh: Maybe that was it. After I patched back manually to 1.13 I need the CD to play. Annoying but I suppose it's easily fixed by using battle.net to patch from 1.07 to 1.13.

To summarize. I'm a relatively happy camper.
 

scrcrw

Diabloii.Net Member
Re: Can't get 1.07 to work in win 7

Nice Axe. What are your plans for it - Passion, Fortitude (or am I just missing something obvious)?

If you're serious about getting rid of the other eth BAs, I could definitely find a use for a 6os and some 5os ones. :whistling:

Also: Did you copy the D2xMusic.mpq from the CD to your D2 folder? IIRC that's necessary so you don't need a CD in 1.12/1.13. Possibly the d2music.mpq as well.

edit: D'oh, obvious indeed. Forgot about Oath...
 
Last edited:

Kefir-Tribe

Diabloii.Net Member
Re: Can't get 1.07 to work in win 7

Ah, I'll try the mpq-files. If you PM me you can have axes if you like. How many 5os ones do you need? They're 1.13c FAM, if trade system hasn’t changed since last time I was around.
 

nebux

Diabloii.Net Member
Re: Can't get 1.07 to work in win 7

you nub should give me a 5os 1.07 eth zerker. we can figure a payment later
 
Top